# XQilla Simple API Documentation

# EventGenerator Class Reference

`#include <EventGenerator.hpp>`

Inheritance diagram for EventGenerator:
[legend]

List of all members.

## Public Types

typedef RefCountPointer < EventGenerator > | Ptr

## Public Member Functions

virtual | ~EventGenerator ()
virtual EventGenerator::Ptr | generateEvents (EventHandler *events, DynamicContext *context)=0
| Returns the result of this expression via the EventHandler provided.

## Static Public Member Functions

static void | generateAndTailCall (const EventGenerator::Ptr &generator, EventHandler *events, DynamicContext *context)
static Result | createResult (const ASTNode *ast, const QueryPathNode *projection, DynamicContext *context)

## Member Typedef Documentation

typedef RefCountPointer<EventGenerator> EventGenerator::Ptr

## Constructor & Destructor Documentation

virtual EventGenerator::~EventGenerator | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

static Result EventGenerator::createResult | ( | const ASTNode * | ast,
|  | const QueryPathNode * | projection,
|  | DynamicContext * | context |
| ) |  |  | `[static]`

static void EventGenerator::generateAndTailCall | ( | const EventGenerator::Ptr & | generator,
|  | EventHandler * | events,
|  | DynamicContext * | context |
| ) |  |  | `[inline, static]`

References RefCountPointer< T >::notNull().

virtual EventGenerator::Ptr EventGenerator::generateEvents | ( | EventHandler * | events,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

Returns the result of this expression via the EventHandler provided.

An EventGenerator may be returned to be called as a tail call optimization

Implemented in ASTNodeEventGenerator.

The documentation for this class was generated from the following file:

- EventGenerator.hpp